#!/bin/sh

# essential
pkg_add rsync wget curl lftp mc ranger vim speedtest-cli autocutsel git ectags

# dwm
pkg_add dmenu jq scrot slop

# pass
pkg_add password-store gnupg pinentry
doas ln -s  /usr/local/bin/pinentry /usr/bin/pinentry

# mutt
pkg_add mutt w3m urlview msmtp offlineimap mu par

# irssi
pkg_add irssi

# luakit
pkg_add luafs luajit gmake webkitgtk4

# multimedia
pkg_add ffmpeg ffmpegthumbnailer youtube-dl ImageMagick

# tor
pkg_add tor torsocks

# X11
pkg_add mupdf zathura zathura-pdf-mupdf sxiv seafile-client pidgin telegram-purple 

# other
pkg_add nload htop nmap ncdu tig xosd sshfs-fuse

# BIG ones
pkg_add firefox libreoffice gimp smtube fnaify vimb 
