#! /bin/ksh
set -eu

: ${WLR_DRM_DEVICES:=/dev/dri/card0}
: ${LIBSEAT_BACKEND:=noop}
: ${XDG_CURRENT_DESKTOP:=sway}
: ${XDG_RUNTIME_DIR:=${HOME}/.local/run}
: ${QT_QPA_PLATFORM:=wayland}
#: MOZ_ENABLE_WAYLAND:=1 # doesn't work yet

export WLR_DRM_DEVICES LIBSEAT_BACKEND
export XDG_CURRENT_DESKTOP XDG_RUNTIME_DIR
export QT_QPA_PLATFORM

if [ ! -d "${XDG_RUNTIME_DIR}" ]; then
    mkdir -m 700 -p "${XDG_RUNTIME_DIR}"
fi

#setxkbmap "de"
#ulimit -c 0
#xset +fp $HOME/.fonts
#xsetroot -solid rgb:0A/0A/0A
#eval $(gnome-keyring-daemon --replace --components=secrets)
#dbus-update-activation-environment --all
#export GNOME_KEYRING_CONTROL GNOME_KEYRING_SOCKET GNOME_KEYRING_PID

exec /usr/local/bin/sway "$@"
